<?php
/**
 * Main program file
 *
 * @category   es-f
 * @package    es-f
 * @subpackage Core
 * @author     Knut Kohl <knutkohl@users.sourceforge.net>
 * @copyright  2007-2009 Knut Kohl
 * @license    http://www.gnu.org/licenses/gpl.txt GNU General Public License
 * @version    1.1.2
 * @since      File available since Release 0.0.1
 */

ini_set('display_startup_errors', 0);
ini_set('display_errors', 0);
error_reporting(0);

define('_ESF_OK', TRUE);

@include_once 'prepend.php';

try {

  /**
   * Application definitions
   */
  require_once 'application/define.php';

  // check if required config files exists and required PHP version
  if (!is_file(LOCALDIR.'/config/config.xml') OR !is_file(LOCALDIR.'/config/state.xml') OR
      version_compare(PHP_VERSION, PHP_VERSION_REQUIRED, '<')) {
    Header('Location: setup/index.php');
  }

  /**
   * Class autoloading
   */
  require_once APPDIR.'/classes/loader.class.php';
  Loader::$AutoLoadPath[] = APPDIR.'/classes';
  if (DEVELOP) Loader::setPreload('__develop');

  Loader::Load(BASEDIR.'/index.inc.php');

} catch (Exception $e) {

  if (DEVELOP) echo '<pre>', $e; else echo $e->getMessage();

}
