<?php
/**
 * @category   Module
 * @package    Module-Login
 * @author     Knut Kohl <knutkohl@users.sourceforge.net>
 * @copyright  2009 Knut Kohl
 * @license    http://www.gnu.org/licenses/gpl.txt GNU General Public License
 * @version    0.1.0
 */

/**
 * Homepage module
 *
 * @category   Module
 * @package    Module-Login
 * @author     Knut Kohl <knutkohl@users.sourceforge.net>
 * @copyright  2009 Knut Kohl
 * @license    http://www.gnu.org/licenses/gpl.txt GNU General Public License
 * @version    Release: @package_version@
 */
class esf_Module_Login extends esf_Module {

  /**
   *
   */
  public function IndexAction() {

    if ($this->isPost()) {

      $user = $pass = '';

      // try to find a legal user, from login form or as auto login user
      if (isset($this->Request['user'])) {
        $user = esf_User::get($this->Request['user']);
        // check login via form submit
        if ($user) {
          $pass = isset($this->Request['pass']) ? $this->Request['pass'] : '';
        } elseif (!empty($this->Request['user'])) {
          TplData::set('LoginMsg', Translation::get('Login.Failed'));
        }
      } elseif ($autoUsers = $this->AutoLoginUser) {
        // check auto login
        foreach ($autoUsers as $id => $autoUser) {
          $autoIP = str_replace(array('.','*'), array('\\.','\d+'), $this->AutoLoginIP[$id]);
          $user = esf_User::get($autoUser);
          if ($user AND preg_match('~^'.$autoIP.'$~', $_SERVER['REMOTE_ADDR'])) {
            $pass = $this->AutoLoginPassword[$id];
            break;
          }
        }
      }

      // We found a user, but is it a valid one?
      if ($user AND $pass) {
        $ls = isset($this->Request['cookie']) ? $this->Cookie : 0;
        if (esf_User::isValid($user, $pass, $ls)) {
          Session::setP('ClearCache', TRUE);
          Messages::addSuccess(Translation::get('Login.Welcome'));
          $this->Redirect(Registry::get('StartModule'));
        } else {
          TplData::set('LoginMsg', Translation::get('Login.Failed'));
        }
      }
    }

    TplData::set('Users', esf_User::getAll());
  }

}