<?php
/**
 * @category   Plugin
 * @package    Plugin-ModuleRSS
 * @author     Knut Kohl <knutkohl@users.sourceforge.net>
 * @copyright  2009 Knut Kohl
 * @license    http://www.gnu.org/licenses/gpl.txt GNU General Public License
 * @version    0.1.0
 */

/**
 * Rewrite urls
 *
 * @category   Plugin
 * @package    Plugin-ModuleRSS
 * @author     Knut Kohl <knutkohl@users.sourceforge.net>
 * @copyright  2009 Knut Kohl
 * @license    http://www.gnu.org/licenses/gpl.txt GNU General Public License
 * @version    Release: @package_version@
 */
class esf_Plugin_Module_RSS extends esf_Plugin {

  /**
   *
   */
  function ProcessStartNotification() {
    ModuleRequireModule( 'RSS', 'Auction', '0.6.0' );
  }

  /**
   * Add alternate link for RSS feed
   */
  function OutputStartNotification() {
    if ($user = esf_User::getActual()) {
      TplData::add('HtmlHeader.Raw',
        sprintf('<link rel="alternate" type="application/rss+xml "'
               .'href="index.php?module=rss&amp;%1$s=%3$s" '
               .'title="RSS Feed of auctions for %2$s">'."\n",
                urlencode(APPID), $user, urlencode(MD5Encryptor::encrypt($user))));
    }
  }

  /**
   * Add RSS icon to footer
   */
  function OutputFilterFooterNotification( &$cd_html ) {
    if ($user = esf_User::getActual()) {
      $la_data = array(
        'APPID'   => APPID,
        'URLUSER' => MD5Encryptor::encrypt($user),
        'USER'    => $user
      );
      $ld_html = ParseModuleTemplate('rss', 'content', $la_data);
      $cd_html = preg_replace('~<div[^>]+id=(["\']?)footer\1[^>]+>~',
                              '$0' . $ld_html, $cd_html);
    }
  }

}

Event::attach(new esf_Plugin_Module_RSS);