<?php
/**
 * @category   Plugin
 * @package    Plugin-AutoDelete
 * @author     Knut Kohl <knutkohl@users.sourceforge.net>
 * @copyright  2009 Knut Kohl
 * @license    http://www.gnu.org/licenses/gpl.txt GNU General Public License
 * @version    0.1.0
 */

/**
 * Delete ended auctions automatic after certain days
 *
 * @category   Plugin
 * @package    Plugin-AutoDelete
 * @author     Knut Kohl <knutkohl@users.sourceforge.net>
 * @copyright  2009 Knut Kohl
 * @license    http://www.gnu.org/licenses/gpl.txt GNU General Public License
 * @version    Release: @package_version@
 */
class esf_Plugin_AutoDelete extends esf_Plugin {

  /**
   * Handle AuctionsLoaded
   *
   * @access private
   * @param string $output HTML to filter
   * @return void
   */
  public function AuctionsLoadedNotification ( &$auctions ) {
    // timestamp to check against
    $ts = $_SERVER['REQUEST_TIME'] - $this->Days*60*60*24;

    foreach ($auctions as $item => $auction) {
      if ($auction['endts'] AND $auction['endts'] < $ts) {
        esf_Auctions::Delete($auction, FALSE);
        Messages::addInfo(Translation::get('AutoDelete.Deleted', $item, $auction['name']));
      }
    }
    // Only once per script run!
    Event::Dettach($this);
  }
}

Event::attach(new esf_Plugin_AutoDelete);