<?php
/**
 * @category   Plugin
 * @package    Plugin-LayoutSwitch
 * @author     Knut Kohl <knutkohl@users.sourceforge.net>
 * @copyright  2009 Knut Kohl
 * @license    http://www.gnu.org/licenses/gpl.txt GNU General Public License
 * @version    0.1.0
 */

/**
 * Layout switcher
 *
 * @category   Plugin
 * @package    Plugin-LayoutSwitch
 * @author     Knut Kohl <knutkohl@users.sourceforge.net>
 * @copyright  2009 Knut Kohl
 * @license    http://www.gnu.org/licenses/gpl.txt GNU General Public License
 * @version    Release: @package_version@
 */
class esf_Plugin_LayoutSwitch extends esf_Plugin {

  /**
   *
   */
  public function StartNotification() {
    if ($layout = $this->Request('switchlayout')) Session::set('Layout', $layout);
    if (Session::get('Layout')) Registry::set('Layout', Session::get('Layout'));
  }

  /**
   *
   */
  public function OutputFilterHtmlEndNotification( &$output ) {
    if (esf_User::isValid() AND !Registry::get('esf.ContentOnly')) {
      $data['LAYOUTS'] = getLayouts();
      $data['LAYOUT'] = Registry::get('Layout');
      $data['TARGET'] = 'footer_after';
      $output .= $this->Render('content', $data);
    }
  }
}

Event::attach(new esf_Plugin_LayoutSwitch);