<?php
/**
 * @category   Plugin
 * @package    Plugin-LinkTarget
 * @author     Knut Kohl <knutkohl@users.sourceforge.net>
 * @copyright  2009 Knut Kohl
 * @license    http://www.gnu.org/licenses/gpl.txt GNU General Public License
 * @version    0.1.0
 */

/**
 * Auction statistics
 *
 * @category   Plugin
 * @package    Plugin-LinkTarget
 * @author     Knut Kohl <knutkohl@users.sourceforge.net>
 * @copyright  2009 Knut Kohl
 * @license    http://www.gnu.org/licenses/gpl.txt GNU General Public License
 * @version    Release: @package_version@
 */
class esf_Plugin_LinkTarget extends esf_Plugin {

  /**
   * Class constructor
   */
  public function __construct() {
    parent::__construct();
    $this->RegExp = sprintf('~<a[^>]+%s.*?'.'>~is', $this->RegExp);
    /// DebugStack::Debug($this->RegExp);
  }

  /**
   *
   */
  public function OutputFilterNotification( &$output ) {
    if (preg_match_all($this->RegExp, $output, $matches)) {
      foreach ($matches[0] as $id => $match) {
        // use unused index for replacement ;-)
        $matches[-1][$id] = substr($match, 0, -1).' target="_blank" '.substr($match, -1);
      }
      $output = str_replace($matches[0], $matches[-1], $output);
    }
  }

}

Event::attach(new esf_Plugin_LinkTarget);